# - name: Create directories
#   file:
#     name: "{{ item }}"
#     state: directory
#     mode: 0755
#     owner: root
#     group: wheel
#   loop:
#     - /foo/bar

# - name: Install scripts
#   copy:
#     src: "files/{{ item.src }}"
#     dest: "{{ item.dest }}"
#     mode: 0755
#     owner: root
#     group: wheel
#   loop:
#     - src: foo.bash
#       dest: /usr/local/bin/foo

# - name: Install Configuration
#   copy:
#     src: "files/{{ item.src }}"
#     dest: "{{ item.dest }}"
#     mode: 0600
#     owner: root
#     group: wheel
#   loop:
#     - src: foo.conf
#       dest: /usr/local/etc/foo.conf

# - name: Clone Source
#   git:
#     repo: "https://foo.bar/baz.git"
#     dest: /foo/bar
#     version: "v1.0.2"
#     force: true
#   diff: false

- import_tasks: tasks/freebsd.yaml
  when: 'os_flavor == "freebsd"'

- import_tasks: tasks/linux.yaml
  when: 'os_flavor == "linux"'

- include_tasks:
    file: tasks/peruser.yaml
    apply:
      become: yes
      become_user: "{{ initialize_user }}"
  when: users is defined
  loop: "{{ users | dict2items | community.general.json_query('[?value.initialize==`true`].key') }}"
  loop_control:
    loop_var: initialize_user
